<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <data>
        <record id="payroll_import_config" model="ir.ui.view">
            <field name="name">Account Move Payroll Import Setup</field>
            <field name="model">payroll.import.setup</field>
            <field name="arch" type="xml">
                <form string="Account Move Payroll Import Setting">
                    <sheet>
                        <div class="oe_title">
                            <label for="name" class="oe_edit_only" />
                            <h1>
                                <field name="name" class="oe_inline" />
                            </h1>
                        </div>
                        <div class="oe_title">
                            <h1 class="oe_primary_color">
                                Structure
                            </h1>
                            <p class="oe_grey oe_small_text">
                                Indicate the column number for each field, define accounts to
                                link move lines to and aggregate lines by employee.
                            </p>
                        </div>
                        <group class="oe_header_settings mb-0">
                            <group>
                                <field name="header_lines" string="Header Lines" />
                            </group>
                            <group>
                                <field name="journal_id" string="Journal" required="1" />
                            </group>
                        </group>
                        <group class="oe_header_settings mb-0">
                            <group>
                                <field name="header_ref_line" string="Header Reference Line" />
                            </group>
                            <group>
                                <!-- Empty -->
                            </group>
                        </group>
                        <group col="2">
                            <group>
                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        Employee
                                    </h2>
                                </div>
                                <field name="column_employee_id" string="Column Number" />

                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        Gross
                                    </h2>
                                </div>
                                <field name="column_gross" string="Column Number" />
                                <field name="gross_account_id" string="Account" />
                                <field name="gross_tax_id" string="Tax" />
                                <field name="gross_to_single_line" string="Single Move Line" />
                                <div>
                                    <p class="oe_primary_color oe_smaller_text">
                                        One line per employee if unchecked.
                                    </p>
                                </div>
                                <div>
                                </div>

                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        IRPF Employee
                                    </h2>
                                </div>
                                <field name="column_irpf_employee" string="Column Number" />
                                <field name="irpf_employee_account_id" string="Account" />

                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        Net
                                    </h2>
                                </div>
                                <field name="column_net" string="Column Number" />
                                <field name="net_account_id" string="Account" />

                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        Total TC1 o RLC
                                    </h2>
                                </div>
                                <field name="column_total_tc1rlc" string="Column Number" />
                                <field name="total_tc1rlc_account_id" string="Account" />

                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        Employee Social Security
                                    </h2>
                                </div>
                                <field name="column_ss_employee" string="Column Number" />

                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        Company Social Security
                                    </h2>
                                </div>
                                <field name="column_ss_company" string="Column Number" />
                                <field name="ss_company_account_id" string="Account" />
                                <field name="ss_company_to_single_line"
                                    string="Single Move Line" />
                                <div>
                                    <p class="oe_primary_color oe_smaller_text">
                                        One line per employee if unchecked.
                                    </p>
                                </div>
                                <div>
                                </div>

                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        Discounts
                                    </h2>
                                </div>
                                <field name="column_discounts" string="Column Number" />
                                <field name="discounts_account_id" string="Account" />

                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        Embargoes
                                    </h2>
                                </div>
                                <field name="column_embargoes" string="Column Number" />
                                <field name="embargoes_account_id" string="Account" />

                                <div class="oe_title">
                                    <h2 class="oe_primary_color">
                                        Social Security Bonus
                                    </h2>
                                </div>
                                <field name="column_ss_bonus" string="Column Number" />
                                <field name="ss_bonus_account_id" string="Account" />
                            </group>
                        </group>
                        <group>
                            <!-- Empty -->
                        </group>
                        <div class="oe_title">
                            <h1 class="oe_primary_color">
                                Custom Concepts
                            </h1>
                        </div>
                        <group>
                            <field
                                name="custom_concepts_ids"
                                widget="one2many_list"
                                nolabel="1"
                            >
                                <tree editable="bottom">
                                    <field name="name" string="Tag" />
                                    <field name="col_index" />
                                    <field name="account_id" />
                                </tree>
                            </field>
                        </group>
                        <div class="oe_title">
                            <h1 class="oe_primary_color">
                                File Options (CSV)
                            </h1>
                            <p class="oe_grey oe_small_text">
                                Changes in this section might affect the import process
                                even if the file is not a CSV.
                            </p>
                        </div>
                        <group>
                            <group>
                                <field name="thousands_delimiter" />
                                <field name="decimal_delimiter" />
                            </group>
                            <group>
                                <field name="encoding" />
                                <field name="delimiter" />
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
    </data>
</odoo>